Will JRE 1.5 bundled?

Will JRE 1.5 bundled with IDEA 4? J2SE 1.5 is scheduled for release in the
summer of 2004...
Thanks

||| likeapear




14 comments

Why do you care about what is bundled as IDEA's runtime environment?

Tom

0

Nothing matter... I suppose that IDEA on JRE 1.5 will have better
performance.

||| likeapear


0

How you suppose to know, when it is not released yet?

Tom

0

I hope better performance of swing applications include IDEA.

||| likeapear


0

likeapear wrote:

I hope better performance of swing applications include IDEA.

||| likeapear


Dude that's like saying I hope buying a BMW will make me a better
driver, but you don't test drive the BMW first to find out if it does.

R

0

Dude that's like saying I hope buying a BMW will make me a better
driver, but you don't test drive the BMW first to find out if it does.


And I would doubt it if you drove front-drive cars in the past. But the
BMW might train your reflexes when driving on wet or snowy streets and
have DSC off.

Tom

0

What's wrong with IDEA's performance? On my machine (2.6 Ghz, 1 GB RAM) it works fast.

Thomas Gülden
Munich, Germany

0

I think the answer is no, because Idea 4.0 will be released before jre 1.5. They will probably support it in a minor release.

0

Sure, I agree. But I think that one same driver can ride faster with BMW
than with some slower car. And I hope JetBrains test IDEA before including
JRE 1.5 to IDEA bundle.

PS: I don't care to make flamewar in this thread.

||| likeapear




0

Thomas Singer wrote:

How you suppose to know, when it is not released yet?


Because Sun told that they worked especially on performances
in Java 1.5

0

http://java.sun.com/developer/technicalArticles/RoadMaps/J2SE_1.5/j2se_1_5.html

...Scalability and Performance
The 1.5 release promises improvements in scalability and performance with a
new emphasis on startup time and memory footprint to make it easier to
deploy applications running at top speed. Performance ergonomics are built
in and a more powerful profiling API will be available from JSR 163...

||| likeapear



0

What doesn't work fast on your machine?

Kidding aside, I don't think JetBrains guys will bundle jre 1.5 anytime soon. IDEA can't even compile using 1.5 right now, but I hope this will be possible on a later (post-4.0) release.

0

Thomas Singer wrote:

Why do you care about what is bundled as IDEA's runtime environment?


Because JRE 1.4 doesn't work well with dual-head xinerama Linux. This is
supposed to be fixed in 1.5

http://www.intellij.net/forums/thread.jsp?forum=13&thread=37373

0

Do you mean this will be possible on IDEA 5.0? Or on IDEA 4.x?

||| likeapear


0

Please sign in to leave a comment.